Package org.eclipse.birt.chart.model.attribute

# Interface Size

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `SizeImpl`

public interface Size extends IChartObject
A representation of the model object 'Size'. Size represents the 2D dimension of a chart element.

The following features are supported:

- `Height`
- `Width`

See Also:
  - `AttributePackage.getSize()`

## Method Summary

Modifier and Type
Method
Description
`Size`
`copyInstance()`
`double`
`getHeight()`
Returns the value of the 'Height' attribute.
`double`
`getWidth()`
Returns the value of the 'Width' attribute.
`boolean`
`isSetHeight()`
Returns whether the value of the '`Height`' attribute is set.
`boolean`
`isSetWidth()`
Returns whether the value of the '`Width`' attribute is set.
`void`
`scale(double dScale)`
Scales the size instance as specified via the 'dScale' parameter
`Size`
`scaleInstance(double dScale)`
Returns a new size instance with scaled members
`void`
`setHeight(double value)`
Sets the value of the '`Height`' attribute.
`void`
`setWidth(double value)`
Sets the value of the '`Width`' attribute.
`void`
`unsetHeight()`
Unsets the value of the '`Height`' attribute.
`void`
`unsetWidth()`
Unsets the value of the '`Width`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getHeight

double getHeight()
Returns the value of the 'Height' attribute. Holds the height of the chart

Returns:
  the value of the 'Height' attribute.
See Also:
  - `isSetHeight()`
  - `unsetHeight()`
  - `setHeight(double)`
  - `AttributePackage.getSize_Height()`

### setHeight

void setHeight(double value)
Sets the value of the '`Height`' attribute. Sets the height component of the size.

Parameters:
  `value` - the new value of the 'Height' attribute.
See Also:
  - `isSetHeight()`
  - `unsetHeight()`
  - `getHeight()`

### unsetHeight

void unsetHeight()
Unsets the value of the '`Height`' attribute.

See Also:
  - `isSetHeight()`
  - `getHeight()`
  - `setHeight(double)`

### isSetHeight

boolean isSetHeight()
Returns whether the value of the '`Height`' attribute is set.

Returns:
  whether the value of the 'Height' attribute is set.
See Also:
  - `unsetHeight()`
  - `getHeight()`
  - `setHeight(double)`

### getWidth

double getWidth()
Returns the value of the 'Width' attribute. Holds the width of the chart

Returns:
  the value of the 'Width' attribute.
See Also:
  - `isSetWidth()`
  - `unsetWidth()`
  - `setWidth(double)`
  - `AttributePackage.getSize_Width()`

### setWidth

void setWidth(double value)
Sets the value of the '`Width`' attribute. Sets the width component of the size.

Parameters:
  `value` - the new value of the 'Width' attribute.
See Also:
  - `isSetWidth()`
  - `unsetWidth()`
  - `getWidth()`

### unsetWidth

void unsetWidth()
Unsets the value of the '`Width`' attribute.

See Also:
  - `isSetWidth()`
  - `getWidth()`
  - `setWidth(double)`

### isSetWidth

boolean isSetWidth()
Returns whether the value of the '`Width`' attribute is set.

Returns:
  whether the value of the 'Width' attribute is set.
See Also:
  - `unsetWidth()`
  - `getWidth()`
  - `setWidth(double)`

### scale

void scale(double dScale)
Scales the size instance as specified via the 'dScale' parameter

Parameters:
  `dScale` -

### scaleInstance

Size scaleInstance(double dScale)
Returns a new size instance with scaled members

Parameters:
  `dScale` - The scaling factor
Returns:
  A new scaled instance

### copyInstance

Size copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`